//
//  InfoController.m
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/07.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "InfoController.h"
#import "PCG_LinkMacAppDelegate.h"

@implementation InfoController

@synthesize gMainWindow;
@synthesize gInfoWindow;
@synthesize gInfoTextView;

@synthesize gDelegate;

/*
 
 */
- (void)awakeFromNib {
	//	NSLog(@"awakeFromNib:InfoController\n");
/*	NSFontManager *fontManager = [NSFontManager sharedFontManager];
	NSArray *names;
	
	names = [fontManager availableFonts];

	for (NSString *name in names) {
		NSLog(@"%@\n", name);
	}
*/	
	[gInfoTextView setFont:[NSFont fontWithName:@"HiraKakuPro-W3" size:12.0]];
}



/*
 
 */
- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo {
}

/*
 
 */
- (IBAction)infoAction:(id)sender {
	NSMutableString *info;
	NSMutableString *error = [NSMutableString stringWithString: NSLocalizedString(@"error", @"")];

	if (gDelegate.fd == -1) {
		info = error;
	} else {
		if (gDelegate.gTcgetAttr == YES) {
			info = [gDelegate printStatus];
		} else {
			info = error;
		}
	}	

	[gInfoTextView setString:info];
	
	NSUInteger length;
	NSRange aRange;
	NSString *chr;
	
	aRange.location = 0;
	aRange.length = 1;

	length = [info length];
	
	while (aRange.location < length) {
		chr = [info substringWithRange:aRange];

		if ([chr isEqualToString:@"+"] == YES) {
			[gInfoTextView 	setTextColor:[NSColor redColor] range:aRange];
		} else if ([chr isEqualToString:@"-"] == YES) {
			[gInfoTextView 	setTextColor:[NSColor blueColor] range:aRange];
		}		
		aRange.location++;
	}
	
	[NSApp beginSheet:gInfoWindow modalForWindow:gMainWindow modalDelegate:self
	   didEndSelector:@selector(sheetDidEnd:returnCode:contextInfo:) contextInfo:NULL];
}

/*

 */
- (IBAction)okAction:(id)sender {
	
	[gInfoWindow orderOut:sender];	
	[NSApp endSheet:gInfoWindow returnCode:0];
}

/*
 
 */
- (void)dealloc {
	
	[gMainWindow release];
	[gInfoWindow release];
	[gInfoTextView release];
	
	[gDelegate release];
	
	[super dealloc];
}
@end
