//
//  PreferencesController.h
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/01.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <stdio.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>

#import "PCG_Header.h"

@class PCG_LinkMacAppDelegate;

@interface PreferencesController : NSObject {
	IBOutlet NSWindow *gPreferencesWindow;

	IBOutlet NSComboBox *gDeviceComboBox;
	IBOutlet NSPopUpButton *gBaudRatePopUpButton;
	IBOutlet NSPopUpButton *gDataBitPopUpButton;
	IBOutlet NSPopUpButton *gStopBitPopUpButton;
	IBOutlet NSPopUpButton *gParityPopUpButton;
	IBOutlet NSPopUpButton *gFlowPopUpButton;
	IBOutlet NSButton *gCheckEndOfFile;
	
	IBOutlet PCG_LinkMacAppDelegate *gDelegate;
}

@property (nonatomic, retain) IBOutlet NSWindow *gPreferencesWindow;

@property (nonatomic, retain) IBOutlet NSComboBox *gDeviceComboBox;
@property (nonatomic, retain) IBOutlet NSPopUpButton *gBaudRatePopUpButton;
@property (nonatomic, retain) IBOutlet NSPopUpButton *gDataBitPopUpButton;
@property (nonatomic, retain) IBOutlet NSPopUpButton *gStopBitPopUpButton;
@property (nonatomic, retain) IBOutlet NSPopUpButton *gParityPopUpButton;
@property (nonatomic, retain) IBOutlet NSPopUpButton *gFlowPopUpButton;
@property (nonatomic, retain) IBOutlet NSButton *gCheckEndOfFile;

@property (nonatomic, retain) IBOutlet PCG_LinkMacAppDelegate *gDelegate;

- (NSMutableArray *)arrayDevice;
- (IBAction)save:(id)sender;
- (IBAction)cancel:(id)sender;
- (void)defaults;

@end
