//
//  ReceiveController.h
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/05.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <stdio.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>

//#define RECEIVE_BUFFER		256
//#define RECEIVE_BUFFER		1024
#define RECEIVE_BUFFER			4096

@class PCG_LinkMacAppDelegate;

@interface ReceiveController : NSObject {
	IBOutlet NSButton *gReceiveButton;
	IBOutlet NSButton *gSaveButton;
	IBOutlet NSProgressIndicator *gReceiveIndicator;
	IBOutlet NSTextView *gReceiveTextView;
	
	NSThread *gReceiveThread;
	CGFloat gDuration;
	NSMutableData *gReceiveData;
	
	IBOutlet PCG_LinkMacAppDelegate *gDelegate;
}

@property (nonatomic, retain) IBOutlet NSButton *gReceiveButton;
@property (nonatomic, retain) IBOutlet NSButton *gSaveButton;
@property (nonatomic, retain) IBOutlet NSProgressIndicator *gReceiveIndicator;
@property (nonatomic, retain) IBOutlet IBOutlet NSTextView *gReceiveTextView;

@property (nonatomic, retain) NSThread *gReceiveThread;
@property (nonatomic, assign) CGFloat gDuration;

@property (nonatomic, retain) NSMutableData *gReceiveData;

@property (nonatomic, retain) IBOutlet PCG_LinkMacAppDelegate *gDelegate;

- (IBAction)openReceiveDoc:(id)sender;

- (void)startReceive:(id)info;
- (void)waitReceiveThreadToFinish;
- (void)startReceiveThread;
- (IBAction)receiveAction:(id)sender;
- (void)animate:(NSData *)data;
@end
