//
//  InfoController.h
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/07.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <stdio.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>

#import "PCG_Header.h"

@class PCG_LinkMacAppDelegate;

@interface InfoController : NSObject {
	IBOutlet NSWindow *gMainWindow;
	IBOutlet NSWindow *gInfoWindow;
	IBOutlet NSTextView *gInfoTextView;
	
	IBOutlet PCG_LinkMacAppDelegate *gDelegate;
}

@property (nonatomic, retain) IBOutlet NSWindow *gMainWindow;
@property (nonatomic, retain) IBOutlet NSWindow *gInfoWindow;
@property (nonatomic, retain) IBOutlet NSTextView *gInfoTextView;

@property (nonatomic, retain) IBOutlet PCG_LinkMacAppDelegate *gDelegate;

- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(NSInteger)returnCode contextInfo:(void *)contextInfo;
- (IBAction)infoAction:(id)sender;
- (IBAction)okAction:(id)sender;
	
@end
