//
//  PCG_LinkMacAppDelegate.h
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/01.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <stdio.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>

#import "PCG_Header.h"

@interface PCG_LinkMacAppDelegate : NSObject {
    NSWindow *window;
	int fd;
	BOOL gTcgetAttr;
	struct termios tio, save_tio;
}

@property (nonatomic, assign) IBOutlet NSWindow *window;
@property (nonatomic, assign) int fd;
@property (nonatomic, assign) BOOL gTcgetAttr;

-(NSString *)getPlusMinus:(int)flag;
- (NSMutableString *)printStatus;
- (void)setTermious:(struct termios *)tios;
- (void)changeStatus;

@end
