//
//  PCG_LinkMacAppDelegate.m
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/01.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PCG_LinkMacAppDelegate.h"
#import "PreferencesController.h"

@implementation PCG_LinkMacAppDelegate

@synthesize window;
@synthesize fd;
@synthesize gTcgetAttr;

/*
 
 */
-(NSString *)getPlusMinus:(int)flag {
	NSString *ret;
	
	if (flag != 0) {
		ret = @"+";
	} else {
		ret = @"-";	
	}
	return ret;
}

/*
 
 */
- (NSMutableString *)printStatus {
	NSMutableString *status;
	NSString *csString;
	int cs;
	
	status = [NSMutableString string];
	
	speed_t ispeed = cfgetispeed(&tio);
	speed_t ospeed = cfgetospeed(&tio);

	[status appendString:[NSString stringWithFormat:@" ispeed %d", (int)ispeed]];
	[status appendString:[NSString stringWithFormat:@" ospeed %d\n", (int)ospeed]];
	[status appendString:[NSString stringWithFormat:@" %@IGNBRK", [self getPlusMinus:(tio.c_iflag & IGNBRK)]]];
	[status appendString:[NSString stringWithFormat:@" %@BRKINT", [self getPlusMinus:(tio.c_iflag & BRKINT)]]];
	[status appendString:[NSString stringWithFormat:@" %@IGNPAR", [self getPlusMinus:(tio.c_iflag & IGNPAR)]]];
	[status appendString:[NSString stringWithFormat:@" %@PARMRK", [self getPlusMinus:(tio.c_iflag & PARMRK)]]];
	[status appendString:[NSString stringWithFormat:@" %@INPCK", [self getPlusMinus:(tio.c_iflag & INPCK)]]];
	[status appendString:[NSString stringWithFormat:@" %@ISTRIP", [self getPlusMinus:(tio.c_iflag & ISTRIP)]]];
	[status appendString:[NSString stringWithFormat:@" %@INLCR\n", [self getPlusMinus:(tio.c_iflag & INLCR)]]];
	[status appendString:[NSString stringWithFormat:@" %@IGNCR", [self getPlusMinus:(tio.c_iflag & IGNCR)]]];
	[status appendString:[NSString stringWithFormat:@" %@ICRNL", [self getPlusMinus:(tio.c_iflag & ICRNL)]]];
	[status appendString:[NSString stringWithFormat:@" %@IXON", [self getPlusMinus:(tio.c_iflag & IXON)]]];
	[status appendString:[NSString stringWithFormat:@" %@IXOFF", [self getPlusMinus:(tio.c_iflag & IXOFF)]]];
	[status appendString:[NSString stringWithFormat:@" %@IXANY", [self getPlusMinus:(tio.c_iflag & IXANY)]]];
	[status appendString:[NSString stringWithFormat:@" %@IMAXBEL\n", [self getPlusMinus:(tio.c_iflag & IMAXBEL)]]];
	[status appendString:[NSString stringWithFormat:@" %@OPOST", [self getPlusMinus:(tio.c_oflag & OPOST)]]];
	[status appendString:[NSString stringWithFormat:@" %@ONLCR", [self getPlusMinus:(tio.c_oflag & ONLCR)]]];
	[status appendString:[NSString stringWithFormat:@" %@OXTABS", [self getPlusMinus:(tio.c_oflag & OXTABS)]]];
	[status appendString:[NSString stringWithFormat:@" %@ONOEOT\n", [self getPlusMinus:(tio.c_oflag & ONOEOT)]]];

	cs = tio.c_cflag & CSIZE;
	switch (cs) {
		case CS5:
			csString = @"5";
			break;
		case CS6:
			csString = @"6";
			break;
		case CS7:
			csString = @"7";
			break;
		case CS8:
			csString = @"8";
			break;
		default:
			csString = @"?";
			break;
	} 
	[status appendString:[NSString stringWithFormat:@" cs%@", csString]];
	[status appendString:[NSString stringWithFormat:@" %@CSTOPB", [self getPlusMinus:(tio.c_cflag & CSTOPB)]]];
	[status appendString:[NSString stringWithFormat:@" %@CREAD", [self getPlusMinus:(tio.c_cflag & CREAD)]]];
	[status appendString:[NSString stringWithFormat:@" %@PARENB", [self getPlusMinus:(tio.c_cflag & PARENB)]]];
	[status appendString:[NSString stringWithFormat:@" %@PARODD", [self getPlusMinus:(tio.c_cflag & PARODD)]]];
	[status appendString:[NSString stringWithFormat:@" %@HUPCL", [self getPlusMinus:(tio.c_cflag & HUPCL)]]];
	[status appendString:[NSString stringWithFormat:@" %@CLOCAL\n", [self getPlusMinus:(tio.c_cflag & CLOCAL)]]];
	[status appendString:[NSString stringWithFormat:@" %@CCTS_OFLOW", [self getPlusMinus:(tio.c_cflag & CCTS_OFLOW)]]];
	[status appendString:[NSString stringWithFormat:@" %@CRTSCTS", [self getPlusMinus:(tio.c_cflag & CRTSCTS)]]];
	[status appendString:[NSString stringWithFormat:@" %@CRTS_IFLOW", [self getPlusMinus:(tio.c_cflag & CRTS_IFLOW)]]];
	[status appendString:[NSString stringWithFormat:@" %@MDMBUF", [self getPlusMinus:(tio.c_cflag & MDMBUF)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHOKE\n", [self getPlusMinus:(tio.c_lflag & ECHOKE)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHOE", [self getPlusMinus:(tio.c_lflag & ECHOE)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHO\n", [self getPlusMinus:(tio.c_lflag & ECHO)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHONL", [self getPlusMinus:(tio.c_lflag & ECHONL)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHOPRT", [self getPlusMinus:(tio.c_lflag & ECHOPRT)]]];
	[status appendString:[NSString stringWithFormat:@" %@ECHOCTL", [self getPlusMinus:(tio.c_lflag & ECHOCTL)]]];
	[status appendString:[NSString stringWithFormat:@" %@ISIG", [self getPlusMinus:(tio.c_lflag & ISIG)]]];
	[status appendString:[NSString stringWithFormat:@" %@ICANON", [self getPlusMinus:(tio.c_lflag & ICANON)]]];
	[status appendString:[NSString stringWithFormat:@" %@ALTWERASE", [self getPlusMinus:(tio.c_lflag & ALTWERASE)]]];
	[status appendString:[NSString stringWithFormat:@" %@IEXTEN\n", [self getPlusMinus:(tio.c_lflag & IEXTEN)]]];
	[status appendString:[NSString stringWithFormat:@" %@EXTPROC", [self getPlusMinus:(tio.c_lflag & EXTPROC)]]];
	[status appendString:[NSString stringWithFormat:@" %@TOSTOP", [self getPlusMinus:(tio.c_lflag & TOSTOP)]]];
	[status appendString:[NSString stringWithFormat:@" %@FLUSHO", [self getPlusMinus:(tio.c_lflag & FLUSHO)]]];
	[status appendString:[NSString stringWithFormat:@" %@NOKERNINFO", [self getPlusMinus:(tio.c_lflag & NOKERNINFO)]]];
	[status appendString:[NSString stringWithFormat:@" %@PENDIN", [self getPlusMinus:(tio.c_lflag & PENDIN)]]];
	[status appendString:[NSString stringWithFormat:@" %@NOFLSH\n", [self getPlusMinus:(tio.c_lflag & NOFLSH)]]];
	
	return status;
}

/*
 
 */
- (void)awakeFromNib {
//	NSLog(@"awakeFromNib:PCG_LinkMacAppDelegate\n");
	
	self.fd = -1;
	self.gTcgetAttr = NO;
}


/*
 
 */
- (void)setTermious:(struct termios *)tios {
	NSUserDefaults *defaults;
	NSString *dDeviceName;
	Menu_baud_rate m_baud_rate;
	Menu_data_bit m_data_bit;
	Menu_stop_bit m_stop_bit;
	Menu_parity m_parity;
	Menu_flow m_flow;
	Menu_check_end_of_file m_check;
	speed_t speed;

	defaults = [NSUserDefaults standardUserDefaults];

	dDeviceName = [defaults stringForKey:PCG_DEVICE_NAME];
	m_baud_rate = [defaults integerForKey:PCG_BAUD_RATE];
	m_data_bit = [defaults integerForKey:PCG_DATA_BIT];
	m_stop_bit = [defaults integerForKey:PCG_STOP_BIT];
	m_parity = [defaults integerForKey:PCG_PARITY];
	m_flow = [defaults integerForKey:PCG_FLOW];
	m_check = [defaults integerForKey:PCG_CHECK_END_OF_FILE];
	
	switch (m_baud_rate) {
		case MENU_B0:
			speed = B0;
			break;
		case MENU_B50:
			speed = B50;
			break;
		case MENU_B75:
			speed = B75;
			break;
		case MENU_B110:
			speed = B110;
			break;
		case MENU_B134:
			speed = B134;
			break;
		case MENU_B150:
			speed = B150;
			break;
		case MENU_B200:
			speed = B200;
			break;
		case MENU_B300:
			speed = B300;
			break;
		case MENU_B600:
			speed = B600;
			break;
		case MENU_B1200:
			speed = B1200;
			break;
		case MENU_B1800:
			speed = B1800;
			break;
		case MENU_B2400:
			speed = B2400;
			break;
		case MENU_B4800:
			speed = B4800;
			break;
		case MENU_B9600:
			speed = B9600;
			break;
		case MENU_B19200:
			speed = B19200;
			break;
		case MENU_B38400:	
			speed = B38400;
			break;
		default:
			speed = B9600;
			break;
	}

	cfsetispeed(tios, speed);
	cfsetospeed(tios, speed);
		
	switch (m_data_bit) {
		case MENU_D7:
			tio.c_cflag &= ~CSIZE;
			tio.c_cflag |= CS7;
			break;
		case MENU_DNIL:
		case MENU_D8:
			tio.c_cflag &= ~CSIZE;
			tio.c_cflag |= CS8;
			break;
		default:
			break;
	}
	
	switch (m_stop_bit) {
		case MENU_S2:
			tio.c_cflag |= CSTOPB;
			break;
		case MENU_SNIL:
		case MENU_S1:
			tio.c_cflag &= ~CSTOPB;
			break;
	}

	switch (m_parity) {
		case MENU_PNIL:
		case MENU_PNONE:
			tio.c_cflag &= ~PARENB;
			break;
		case MENU_EVEN:
			tio.c_cflag = (tio.c_cflag | PARENB) & ~PARODD;
			break;
		case MENU_ODD:
			tio.c_cflag = tio.c_cflag | PARENB | PARODD;
			break;
	}
	
	switch (m_flow) {
		case MENU_RSCS:
			tio.c_cflag |= CRTSCTS;
			tio.c_iflag &= ~(IXON | IXOFF);
			break;
		case MENU_XONXOFF:
			tio.c_cflag &= ~CRTSCTS;
			tio.c_iflag |= (IXON | IXOFF);
			break;
		case MENU_FNIL:
		case MENU_FNONE:
			tio.c_cflag &= ~CRTSCTS;
			tio.c_iflag &= ~(IXON | IXOFF);
			break;
	}
	
	tio.c_lflag &= ~ISIG;
	tio.c_cflag |= CLOCAL;

}

/*
 
 */
- (void)applicationWillTerminate:(NSNotification *)aNotification {
//	NSLog(@"applicationWillTerminate\n");

	if (fd == -1) {
	} else {
	
		tcsetattr(fd, TCSANOW, &save_tio);
		//tcsetattr(fd, TCSAFLUSH, &save_tio);	
		close(fd);
	
		
	}
}

/*
 
 */
- (void)changeStatus {
	NSUserDefaults *defaults;
	NSString *dDeviceName;
	const char *dev;
	int error;
	
	if (gTcgetAttr == YES) {
//		NSLog(@"redo");
		gTcgetAttr = NO;
		tcsetattr(fd, TCSANOW, &save_tio);
		if (fd != -1) {
//			NSLog(@"close(%d)", fd);
			close(fd);
		}
	}
		
	defaults = [NSUserDefaults standardUserDefaults];
	dDeviceName = [defaults stringForKey:PCG_DEVICE_NAME];
	dev = [dDeviceName UTF8String];

	//	fd = open("/dev/cu.usbmodemUSB-CO1", O_WRONLY);
	//	fd = open("/dev/cu.usbserial", O_RDWR);
	fd = open(dev, O_RDWR);

	NSAlert *alert = [[[NSAlert alloc] init] autorelease];
	[alert addButtonWithTitle:@"OK"];
	[alert setAlertStyle:NSWarningAlertStyle];
	
	if (fd == -1) {
		[alert setMessageText:NSLocalizedString(@"error", @"")];
		[alert setInformativeText:[NSString stringWithFormat:NSLocalizedString(@"can_not_open_the_device", @""), dDeviceName]];
		[alert runModal];
		return;
	} else {
//		NSLog(@"fd = %d\n", fd);
	}

    error = tcgetattr(fd, &save_tio);	
	if (error == -1) {
		NSLog(@"failure tcgetattr\n");
	} else {
		gTcgetAttr = YES;
//		NSLog(@"success tcgetattr\n");
	}
	
	tio = save_tio;
	cfmakeraw(&tio);
		
	[self setTermious:&tio];
	
	error = tcsetattr(fd,TCSANOW, &tio);
	if (error == -1) {
		NSLog(@"failure tcsetattr\n");
	} else {
		[alert setMessageText:NSLocalizedString(@"message", @"")];
		[alert setInformativeText:[NSString stringWithFormat:NSLocalizedString(@"open_the_device", @""), dDeviceName]];
		[alert runModal];
	}
}

/*
 
 */
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
//	NSLog(@"applicationDidFinishLaunching\n");
	[self changeStatus];
}

/*
 
 */
- (void)dealloc {
	
	[super dealloc];
}



@end
