//
//  SendController.h
//  PCG-LinkMac
//
//  Created by Koyama Yoshiaki on 10/05/02.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <stdio.h>
#include <unistd.h>
#include <termios.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>

@class PCG_LinkMacAppDelegate;

@interface SendController : NSObject {
	IBOutlet NSButton *gSendButton;
	IBOutlet NSProgressIndicator *gSendIndicator;
	IBOutlet NSTextField *gSendTextField;
	
	NSString *gSendFrom;
	NSThread *gSendThread;
	CGFloat gDuration;

	IBOutlet PCG_LinkMacAppDelegate *gDelegate;
}

@property (nonatomic, retain) IBOutlet NSButton *gSendButton;
@property (nonatomic, retain) IBOutlet NSProgressIndicator *gSendIndicator;
@property (nonatomic, retain) IBOutlet IBOutlet NSTextField *gSendTextField;

@property (nonatomic, retain) NSString *gSendFrom;

@property (nonatomic, retain) NSThread *gSendThread;
@property (nonatomic, assign) CGFloat gDuration;

@property (nonatomic, retain) IBOutlet PCG_LinkMacAppDelegate *gDelegate;

- (IBAction)openSendDoc:(id)sender;

- (void)startSend:(id)info;
- (void)waitSendThreadToFinish;
- (void)startSendThread;
- (IBAction)sendAction:(id)sender;
- (void)animate:(NSDictionary *)dictionary;

@end
